onEvent('recipes', event => {
//REMOCAO DAS RECEITAS DO MOD MINING GADGETS  
  event.remove({output:'mininggadgets:mininggadget_simple'})
  event.remove({output:'mininggadgets:mininggadget_fancy'})
  event.remove({output:'mininggadgets:mininggadget'})
  


//REMOCAO DAS RECEITAS DO MOD BUILDING GADGETS
  event.remove({output:'buildinggadgets:gadget_building'})
  event.remove({output:'buildinggadgets:gadget_exchanging'})
  event.remove({output:'buildinggadgets:gadget_copy_paste'})
  event.remove({output:'buildinggadgets:gadget_destruction'})


//ALTERACAO DAS RECEITA DO MOD BUILDING GADGETS
  event.shaped(
    Item.of('buildinggadgets:gadget_building', 1),
    [
      'ABA',
      'CBC',
      'ADA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone',
      C: 'minecraft:diamond',
      D: 'minecraft:nether_star'
    }
  )
  event.shaped(
    Item.of('buildinggadgets:gadget_exchanging', 1),
    [
      'ABA',
      'CEC',
      'ADA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone',
      C: 'minecraft:diamond',
      D: 'minecraft:nether_star',
      E: 'minecraft:lapis_lazuli'
    }
  )
  event.shaped(
    Item.of('buildinggadgets:gadget_copy_paste', 1),
    [
      'ABA',
      'CBC',
      'ADA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone',
      C: 'minecraft:emerald',
      D: 'minecraft:nether_star'
    }
  )
  event.shaped(
    Item.of('buildinggadgets:gadget_destruction', 1),
    [
      'ABA',
      'CBC',
      'ADA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone',
      C: 'minecraft:ender_pearl',
      D: 'minecraft:nether_star'
    }
  )

  
//ALTERACAO DAS RECEITAS DO MOD MINING GADGETS
  event.shaped(
    Item.of('mininggadgets:mininggadget_simple', 1),
    [
      'ABC',
      'ADE',
      'ABB'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_ingot',
      C: 'minecraft:gold_ingot',
      D: 'minecraft:nether_star',
      E: 'minecraft:redstone'
    }
  )
event.shaped(
    Item.of('mininggadgets:mininggadget_fancy', 1),
    [
      'ABB',
      'ADE',
      'ABC'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_ingot',
      C: 'minecraft:gold_ingot',
      D: 'minecraft:nether_star',
      E: 'minecraft:redstone'
    }
  )
  event.shaped(
    Item.of('mininggadgets:mininggadget', 1),
    [
      'ABC',
      'ADE',
      'ABC'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_ingot',
      C: 'minecraft:gold_ingot',
      D: 'minecraft:nether_star',
      E: 'minecraft:redstone'
    }
  )








})